org.apache.xmlgraphics.xmp.schemas.pdf

## Class AdobePDFAdapter

- java.lang.Object
- - org.apache.xmlgraphics.xmp.XMPSchemaAdapter
  - - org.apache.xmlgraphics.xmp.schemas.pdf.AdobePDFAdapter

-     public class AdobePDFAdapter
      extends XMPSchemaAdapter

  Schema adapter implementation for the Adobe PDF schema.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter

      `meta`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdobePDFAdapter(Metadata meta, java.lang.String namespace)` Constructs a new adapter for Adobe PDF around the given metadata object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKeywords()`
    `java.lang.String` | `getPDFVersion()`
    `java.lang.String` | `getProducer()`
    `void` | `setKeywords(java.lang.String value)` Sets the keywords.
    `void` | `setPDFVersion(java.lang.String value)` Sets the PDF version
    `void` | `setProducer(java.lang.String value)` Sets the name of the tool that produced the PDF document
    `void` | `setTrapped(java.lang.String v)` Sets if the pdf has trapping information True or False

    - ### Methods inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter

      `addDateToSeq, addObjectToArray, addStringToBag, addStringToSeq, findQualifiedStructure, findQualifiedValue, formatISO8601Date, formatISO8601Date, getDateArray, getDateValue, getLangAlt, getObjectArray, getQName, getSchema, getStringArray, getValue, removeLangAlt, removeStringFromArray, setCompact, setDateValue, setLangAlt, setProperty, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdobePDFAdapter

          public AdobePDFAdapter(Metadata meta,
                                 java.lang.String namespace)

      Constructs a new adapter for Adobe PDF around the given metadata object.
      Parameters:
        `meta` - the underlying metadata

  - ### Method Detail

    - #### getKeywords

          public java.lang.String getKeywords()

      Returns:
        the keywords

    - #### setKeywords

          public void setKeywords(java.lang.String value)

      Sets the keywords.
      Parameters:
        `value` - the keywords

    - #### getPDFVersion

          public java.lang.String getPDFVersion()

      Returns:
        the PDF version

    - #### setPDFVersion

          public void setPDFVersion(java.lang.String value)

      Sets the PDF version
      Parameters:
        `value` - the PDF version (ex. "1.4")

    - #### getProducer

          public java.lang.String getProducer()

      Returns:
        the name of the tool that produced the PDF document

    - #### setProducer

          public void setProducer(java.lang.String value)

      Sets the name of the tool that produced the PDF document
      Parameters:
        `value` - the producer

    - #### setTrapped

          public void setTrapped(java.lang.String v)

      Sets if the pdf has trapping information True or False
      Parameters:
        `v` - the value

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.